Bug 74023 - Does not work when installed with an umask of 077 and messes filesystem
Does not work when installed with an umask of 077 and messes filesystem
Product: Red Hat Linux
Classification: Retired
Component: WindowMaker (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2002-09-13 16:31 EDT by Enrico Scholz
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-08 23:22:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2002-09-13 16:31:28 EDT
Description of Problem:

Because this package contains unowned directories, they will be created
with the current umask. When having restrictive administrator settings
(umask 077) ordinary user will not have access to them and can not use
the package.

Another problem occurs when removing the package because orphaned
directories will remaining.

| $ rpm -qf /usr/lib/GNUstep /usr/lib/GNUstep/Apps/WPrefs.app
| file /usr/lib/GNUstep is not owned by any package
| WindowMaker-0.80.1-1

(Please visit the given URL for a complete list of affected directories)

Version-Release number of selected component (if applicable):


How Reproducible: 100%

Steps to Reproduce:
0. make a minimal installation
1. umask 077
2. make sure that WindowMaker is uninstalled completely
   (rm -rf /usr/lib/GNUstep)
3. rpm -U WindowMaker-0.80.1-1.i386.rpm
4. ls -l /usr/lib/GNUstep
5. try to use the programs/scripts/libraries/data of the package as
   non-root user
6. rpm -e WindowMaker-0.80.1-1

Actual Results:

* at 4:
  | drwx------    2 root     root         4096 Sep 13 22:29 /usr/lib/GNUstep
* files can not be found/read at 5 and
* /usr/lib/GNUstep still exists after 6.
Comment 1 Havoc Pennington 2004-08-08 23:22:39 EDT
WindowMaker has not been included for some time, closing bugs related to it.

Note You need to log in before you can comment on or make changes to this bug.